Connect an AI assistant
Your AI assistant can read this documentation directly, so it answers from the current content instead of guessing. Add one of the servers below to your client — they use the Model Context Protocol (MCP). Each one covers a different body of content, so add the one you need.
The catalog did not load. Refresh the page to try again.
Loading…
{{server.name}}
{{server.summary}}
{{server.documentCount.toLocaleString()}} pages Not published to this site
- Name
-
{{server.name}} - URL
-
{{mcpServerUrl(server.path)}}
| Tool | What it does |
|---|---|
{{tool.name}} |
{{part.text}}{{part.text}} |
How can we help?
Searching in {{docApp.searchFilterBySpecificBookTitle}}
Searching for:
{{docApp.searchResultFilteredItems.length}} results for:
{{docApp.currentResultsSearchText}}
in {{docApp.searchFilterBySpecificBookTitle}}
Found {{docApp.searchResponse.totalResultsAvailable}} matches. Showing the top {{docApp.searchResponse.results ? docApp.searchResponse.results.length : 0}}. Use a more specific search to further narrow down the results.
No documentation pages match this search, so all content types are shown.
Most matches are in {{docApp.searchDocTypeRescue.best.name}}.
There is no book with the ID "{{docApp.searchBookRescue.bid}}", so the book filter from this link was ignored and results from all books are shown.
You have an odd number of " characters in your search terms - each one needs closing with a matching " character!
-
{{resultItem.title}} {{resultItem.matchedBy === 'semantic' ? 'semantic' : (resultItem.matchedBy === 'both' ? 'keyword + semantic' : 'keyword')}}
{{resultItem.url}}
{{docApp.libraryHomeViewProduct.title || docApp.libraryHomeViewProduct.id}}
{{docApp.libraryHomeViewProduct.description}}
{{group.title || group.id}}
{{group.description}}
Entity API / closeRequest
- Article
- 3 minutes to read
Operation Information
- Application Reference:
com.hornbill.servicemanager - Scope:
Entity - Requests - Class:
Entity - Required Privilege Level:
guest - Required Rights: none
Description
This operation updates the status of a Request to closed.
Request Parameters
The closeRequest API takes the following input parameters.
Note
When sending a JSON request payload to the API, the order of parameters is not significant. However, for XML request payloads, parameters must be provided in the exact order specified in this documentation to comply with input validation requirements.
| Name | Type | Required | Description |
|---|---|---|---|
requestId |
xs:string |
Yes | ID of the request that should be closed |
closeText |
xs:string |
No | Text describing why the request is to be closed |
addFeedbackTimer |
xs:boolean |
No | This param is set to true/false if the user want to create a feedback timer upon the request closure. The default value is false |
rating |
xs:integer |
No | The customer's rating of the request |
closureCategoryId |
xs:string |
No | ID of the category used to categorize the request |
closureCategoryName |
xs:string |
No | Name of the category used to categorize the request |
updateTimelineInputs |
xs:string |
No | A JSON formatted string, containing information that will be used to update the Request Timeline. This includes activityType, updateText, source, postType and visibility. |
Response Parameters
| Name | Type | Description |
|---|---|---|
exceptionName |
xs:string |
Name of the exception being returned |
exceptionDescription |
xs:string |
Description of the exception being returned |
activityId |
xs:string |
The ID of the entry created in the activity stream |
Code Examples
curl -X POST 'https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.servicemanager/Requests' \
-H 'Authorization: ESP-APIKEY yourHornbillAPIKey' \
-H 'Content-Type: application/json' \
-d '{"@service":"apps/com.hornbill.servicemanager/Requests","@method":"closeRequest","params":{"requestId":"xs:string","closeText":"xs:string","addFeedbackTimer":false,"rating":1,"closureCategoryId":"xs:string","closureCategoryName":"xs:string","updateTimelineInputs":"xs:string"}}'
package main
import (
"fmt"
apiLib "github.com/hornbill/goApiLib"
)
func main() {
hornbillAPI := apiLib.NewXmlmcInstance("yourinstanceid")
hornbillAPI.SetAPIKey("yourHornbillAPIKey")
hornbillAPI.SetJSONResponse(true)
hornbillAPI.SetParam("requestId", "xs:string")
hornbillAPI.SetParam("closeText", "xs:string")
hornbillAPI.SetParam("addFeedbackTimer", "xs:boolean")
hornbillAPI.SetParam("rating", "xs:integer")
hornbillAPI.SetParam("closureCategoryId", "xs:string")
hornbillAPI.SetParam("closureCategoryName", "xs:string")
hornbillAPI.SetParam("updateTimelineInputs", "xs:string")
responseBody, apiError := hornbillAPI.Invoke("apps/com.hornbill.servicemanager/Requests", "closeRequest")
if apiError != nil {
fmt.Println(apiError)
return
}
fmt.Println(responseBody)
}
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.servicemanager/Requests";
const payload = {
"@service": "apps/com.hornbill.servicemanager/Requests",
"@method": "closeRequest",
"params": {
"requestId": "xs:string",
"closeText": "xs:string",
"addFeedbackTimer": false,
"rating": 1,
"closureCategoryId": "xs:string",
"closureCategoryName": "xs:string",
"updateTimelineInputs": "xs:string"
}
};
fetch(endpoint, {
method: 'POST',
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
},
body: JSON.stringify(payload)
}).then(res => res.json())
.then(res => console.log(res));
const axios = require('axios');
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.servicemanager/Requests";
const payload = {
"@service": "apps/com.hornbill.servicemanager/Requests",
"@method": "closeRequest",
"params": {
"requestId": "xs:string",
"closeText": "xs:string",
"addFeedbackTimer": false,
"rating": 1,
"closureCategoryId": "xs:string",
"closureCategoryName": "xs:string",
"updateTimelineInputs": "xs:string"
}
};
const axiosConfig = {
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
};
axios.post(endpoint, payload, axiosConfig)
.then((res) => {
console.log("RESPONSE RECEIVED: ", res);
})
.catch((err) => {
console.log("AXIOS ERROR: ", err);
})
$endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.servicemanager/Requests";
$payload = (object) [
'@service' => 'apps/com.hornbill.servicemanager/Requests',
'@method' => 'closeRequest',
'params' => (object) [
'requestId' => 'xs:string',
'closeText' => 'xs:string',
'addFeedbackTimer' => 'xs:boolean',
'rating' => 'xs:integer',
'closureCategoryId' => 'xs:string',
'closureCategoryName' => 'xs:string',
'updateTimelineInputs' => 'xs:string',
]
];
$headers = [
'Authorization: ESP-APIKEY yourHornbillAPIKey',
'Content-Type: application/json'
];
$curl = curl_init($url);
curl_setopt($curl, CURLOPT_URL, $endpoint);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
$resp = curl_exec($curl);
curl_close($curl);
echo $resp;
$Endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.servicemanager/Requests"
$Body = @{
"@service" = "apps/com.hornbill.servicemanager/Requests"
"@method" = "closeRequest"
params = @{
requestId = "xs:string"
closeText = "xs:string"
addFeedbackTimer = "xs:boolean"
rating = "xs:integer"
closureCategoryId = "xs:string"
closureCategoryName = "xs:string"
updateTimelineInputs = "xs:string"
}
}
$Header = @{
"Authorization" = "ESP-APIKEY yourHornbillAPIKey"
}
$Parameters = @{
Method = "POST"
Uri = $Endpoint
Headers = $Header
Body = ($Body | ConvertTo-Json)
ContentType = "application/json"
}
Invoke-RestMethod @Parameters
import requests
import json
endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.servicemanager/Requests"
headers = {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
payload={
"@service":"apps/com.hornbill.servicemanager/Requests",
"@method":"closeRequest",
"params":{
"requestId":"xs:string",
"closeText":"xs:string",
"addFeedbackTimer":"xs:boolean",
"rating":"xs:integer",
"closureCategoryId":"xs:string",
"closureCategoryName":"xs:string",
"updateTimelineInputs":"xs:string",
},
}
response = requests.request("POST", endpoint, json=payload, headers=headers)
print(response.text)
- Version {{docApp.book.version}}
- Node {{docApp.node}} / {{docApp.build}}